import React, { PureComponent } from "react";

class WhatsappIcon extends PureComponent {
    render() {
        return (
            <svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 20.404 20.502">
                <g transform="translate(0 0)">
                    <path
                        fill="currentColor"
                        d="M21.543,6.469A10.162,10.162,0,0,0,5.553,18.727L4.112,23.992,9.5,22.579a10.151,10.151,0,0,0,4.855,1.237h0A10.164,10.164,0,0,0,21.543,6.469ZM14.357,22.1h0a8.432,8.432,0,0,1-4.3-1.177l-.308-.183-3.2.838L7.4,18.462l-.2-.32A8.444,8.444,0,1,1,14.357,22.1Z"
                        transform="translate(-4.112 -3.489)"
                    />
                    <path
                        fill="currentColor"
                        d="M26.23,23.565c-.254-.127-1.5-.741-1.735-.826s-.4-.127-.571.127-.656.826-.8,1-.3.191-.55.063a6.933,6.933,0,0,1-2.041-1.26,7.651,7.651,0,0,1-1.412-1.759c-.148-.254-.016-.391.111-.518s.254-.3.381-.445a1.733,1.733,0,0,0,.254-.423.467.467,0,0,0-.021-.445c-.063-.127-.571-1.377-.783-1.885s-.415-.428-.571-.436-.317-.009-.487-.009a.933.933,0,0,0-.677.318,2.847,2.847,0,0,0-.889,2.118,4.937,4.937,0,0,0,1.037,2.626,11.315,11.315,0,0,0,4.337,3.833,14.576,14.576,0,0,0,1.447.535,3.479,3.479,0,0,0,1.6.1,2.614,2.614,0,0,0,1.713-1.207,2.121,2.121,0,0,0,.148-1.207C26.653,23.756,26.484,23.692,26.23,23.565Z"
                        transform="translate(-11.353 -11.279)"
                    />
                </g>
            </svg>
        );
    }
}

export default WhatsappIcon;
